Subject: bug#64309: Python dlopen()s musl libc

From: Athena Martin <[email-masked]>
Date: Mon, 10 Jul 2023 16:21:22 -0400

> The nvr package in ~/.local seems to be used instead of a Guix
> package. That locally installed nvr package expects to use the
> host's libc, but since the python interpreter being used has a
> fixed RPATH and system search path it won't find it.  

I've just checked and temporarily removing .local/lib/python3.10 makes
Guix's nvr work, and takes the .local site-packages off sys.path.